<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getPlayer](./bitburner.ns.getplayer.md)

## NS.getPlayer() method

Get information about the player.

**Signature:**

```typescript
getPlayer(): Player;
```
**Returns:**

[Player](./bitburner.player.md)

Player info

## Remarks

RAM cost: 0.5 GB

Returns an object with information on the current player.

